package handlers

import (
	"net/http"
	"os"
)

func RobotsHandler(w http.ResponseWriter, r *http.Request) {
	w.Header().Set("Content-Type", "text/plain")
	w.Write([]byte("User-agent: *\nDisallow: /secret_console\n"))
}

func SecretConsoleHandler(w http.ResponseWriter, r *http.Request) {
	flag := os.Getenv("FLAG1")
	if flag == "" {
		flag = "vsosh{example_flag1}"
	}
	w.Header().Set("Content-Type", "text/plain")
	w.Write([]byte(flag))
}
